.suggest {
    cursor: pointer;
    box-sizing: border-box;
    padding: 0.5rem 0.5rem 0.5rem 0;
    border-bottom: 1px solid var(--border);

    .suggest-text-area * {
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

    &.suggest-provider{       
        position: relative;
    }
}

.suggest-text-area {
    position: relative;
    width: 100%;
    display: inline-flex;
    align-items: center;

    .suggest-icon-container {
        width: 50px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .suggest-text {
        color: var(--text-color);
        width: 80%;

        .suggest-query {
            color: var(--text-color);
            font-weight: 500;
            line-height: 2;
        }

        .suggest-hint {
            color: var(--text-color-dark);
            font-size: 0.75rem;
        }

        .suggest-type {           
            color: var(--text-color-dark);
            font-size: 0.65rem;
            display: flex;
            align-items: center;
            border-radius: 1rem;
            padding: 0.15rem 0.5rem;
            width: max-content;
            margin: 0.5rem 0 0;
            border: 0.01rem solid var(--border);
        }
    }
}


.suggest-text button {
    float: right;
    color: #0086FF;
    line-height: 40px;

    &:hover {
        color: #0066FF;
    }
}

.two-line {
    // height: 40px;
    // margin: 7px 0 3px;
}

.suggest:hover, .sbox-highlight .suggest {
    background: var(--contrast-highlight)
}

.suggest:active {
    background: rgba(0, 0, 0, 0.05);
}

.suggestions .suggestion-divider {
    border-top: 1px solid #efefef;
    margin: 10px 0;
}

.suggestions li:last-child.suggestion-divider {
    display: none;
}

.suggest-icon-img {
    position: relative;
}


.suggest-icon-container .ml-icon {
    width: 24px;
    height: 24px;
    padding: 4px;
    border-radius: 10px;
    background-position: center center;
    background-repeat: no-repeat;

    &.ml-icon-location {
        background-color: #fe9746;
        background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgb(255, 255, 255, 0.8)' d='M18.766 5.234c0.238,0.237 0.294,0.588 0.169,0.88l0 0 -0.004 0.008 -0.008 0.018 -5.622 12.368 0 0c-0.039,0.094 -0.097,0.182 -0.173,0.259 -0.312,0.311 -0.817,0.311 -1.128,0 -0.124,-0.124 -0.198,-0.278 -0.224,-0.438l-0.001 -0.012 -0.903 -5.189 -5.189 -0.903 -0.012 -0.001c-0.16,-0.026 -0.314,-0.1 -0.438,-0.224 -0.311,-0.311 -0.311,-0.816 0,-1.128 0.077,-0.076 0.165,-0.134 0.259,-0.173l0 0 12.368 -5.622 0.018 -0.008 0.008 -0.004 0 0c0.292,-0.125 0.643,-0.069 0.88,0.169z'/> </svg>");

        &.active {
            background-color: #fe9746 !important;
            background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgb(255, 255, 255, 1)' d='M18.766 5.234c0.238,0.237 0.294,0.588 0.169,0.88l0 0 -0.004 0.008 -0.008 0.018 -5.622 12.368 0 0c-0.039,0.094 -0.097,0.182 -0.173,0.259 -0.312,0.311 -0.817,0.311 -1.128,0 -0.124,-0.124 -0.198,-0.278 -0.224,-0.438l-0.001 -0.012 -0.903 -5.189 -5.189 -0.903 -0.012 -0.001c-0.16,-0.026 -0.314,-0.1 -0.438,-0.224 -0.311,-0.311 -0.311,-0.816 0,-1.128 0.077,-0.076 0.165,-0.134 0.259,-0.173l0 0 12.368 -5.622 0.018 -0.008 0.008 -0.004 0 0c0.292,-0.125 0.643,-0.069 0.88,0.169z'/> </svg>") !important;
        }

    }

    &.ml-icon-place {
        background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgba(254, 151, 70, 1)' d='M12 1c4.97,0 9,4.029 9,9 0,3.432 -1.922,6.415 -4.748,7.933 -1.719,0.918 -3.151,2.893 -3.77,4.704l0 0 -0.001 0c-0.06,0.209 -0.253,0.363 -0.481,0.363 -0.228,0 -0.421,-0.154 -0.481,-0.363l-0.001 0 0 0c-0.619,-1.811 -2.051,-3.786 -3.77,-4.704 -2.826,-1.518 -4.748,-4.501 -4.748,-7.933 0,-4.971 4.03,-9 9,-9zm0 6c1.657,0 3,1.344 3,3 0,1.657 -1.343,3.001 -3,3.001 -1.657,0 -3,-1.344 -3,-3.001 0,-1.656 1.343,-3 3,-3z'/> </svg>");
    }

    &.ml-icon-home {
        background-color: #f2f3f4;
        background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgb(0, 0, 0, 0.6)' d='M11.292 4.291l0 0c0.389,-0.389 1.025,-0.389 1.414,0l8 8c0.39,0.389 0.389,1.025 0,1.414l0 0c-0.388,0.389 -1.025,0.389 -1.414,0l-0.292 -0.292 0 4.588c0,1.098 -0.901,1.999 -2,1.999l-10 0c-1.099,0 -2,-0.899 -2,-1.999l0 -4.587 -0.294 0.294c-0.389,0.389 -1.025,0.389 -1.414,0l0 0c-0.389,-0.389 -0.389,-1.025 0,-1.415l7.959 -7.959 0.041 -0.043zm-0.292 10.709l2 0 0 3 -2 0 0 -3zm-2 3l0 -3c0,-1.1 0.9,-2 2,-2l2.001 0c1.1,0 1.999,0.9 1.999,2l0 3.001 2 0 0 -6.588 -4.999 -5 -5.001 5.001 0 6.586 2 0z'/> </svg>");

        &.active {
            background-color: #5ac8fa !important;
            background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgb(255, 255, 255, 1)' d='M11.292 4.291l0 0c0.389,-0.389 1.025,-0.389 1.414,0l8 8c0.39,0.389 0.389,1.025 0,1.414l0 0c-0.388,0.389 -1.025,0.389 -1.414,0l-0.292 -0.292 0 4.588c0,1.098 -0.901,1.999 -2,1.999l-10 0c-1.099,0 -2,-0.899 -2,-1.999l0 -4.587 -0.294 0.294c-0.389,0.389 -1.025,0.389 -1.414,0l0 0c-0.389,-0.389 -0.389,-1.025 0,-1.415l7.959 -7.959 0.041 -0.043zm-0.292 10.709l2 0 0 3 -2 0 0 -3zm-2 3l0 -3c0,-1.1 0.9,-2 2,-2l2.001 0c1.1,0 1.999,0.9 1.999,2l0 3.001 2 0 0 -6.588 -4.999 -5 -5.001 5.001 0 6.586 2 0z'/> </svg>") !important;
        }
    }

    &.ml-icon-work {
        background-color: #f2f3f4;
        background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgb(0, 0, 0, 0.6)' d='M6 8l2 0 0 -2.001c0,-1.1 0.9,-2 2,-2l4 0c1.1,0 2,0.9 2,2l0 2.001 2 0c1.1,0 2,0.9 2,2l0 7c0,1.1 -0.9,2 -2,2l-12 0c-1.1,0 -2,-0.9 -2,-2l0 -7c0,-1.1 0.9,-2 2,-2zm4 -0.001l4 0 0 -2 -4 0 0 2zm-4 2.001l12 0 0 7 -12 0 0 -7z'/> </svg>");

        &.active {
            background-color: #e9f3ff !important;
            background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgb(0, 134, 255, 1)' d='M6 8l2 0 0 -2.001c0,-1.1 0.9,-2 2,-2l4 0c1.1,0 2,0.9 2,2l0 2.001 2 0c1.1,0 2,0.9 2,2l0 7c0,1.1 -0.9,2 -2,2l-12 0c-1.1,0 -2,-0.9 -2,-2l0 -7c0,-1.1 0.9,-2 2,-2zm4 -0.001l4 0 0 -2 -4 0 0 2zm-4 2.001l12 0 0 7 -12 0 0 -7z'/> </svg>") !important;
        }
    }

    &.ml-icon-history {
        background-image: url("data:image/svg+xml;charset=utf-8,<svg viewBox='0 0 24 24' width='24px' height='24px' xmlns='http://www.w3.org/2000/svg'> <path fill-rule='evenodd' style='fill:rgba(0, 0, 0, 0.3)' d='M17.859 6.554c1.328,1.428 2.141,3.342 2.141,5.446 0,4.418 -3.582,8 -8,8 -4.418,0 -8,-3.582 -8,-8 0,-4.409 3.567,-7.985 7.973,-8l0.026 0c0.553,0 1,0.448 1,1 0,0.552 -0.447,1 -1,1l0 0c-3.313,0.001 -5.999,2.687 -5.999,6 0,3.314 2.686,6 6,6 3.314,0 6,-2.686 6,-6 0,-1.552 -0.589,-2.966 -1.556,-4.031l-0.729 0.729 0 -0.001c-0.182,0.187 -0.436,0.303 -0.715,0.303l0 0c-0.549,0 -1,-0.451 -1,-1l0 -3c0,-0.55 0.45,-1 1,-1l0 0 3 0c0.55,0 1,0.45 1,1l0 0.001c0,0.274 -0.112,0.523 -0.292,0.704l-0.002 0.002 -0.847 0.847zm-3.031 8.274l0 0c0.389,-0.389 0.389,-1.025 0,-1.414l-1.828 -1.828 0 -2.586c0,-0.549 -0.45,-1 -1,-1l0 0c-0.55,0 -1,0.452 -1,1l0 3.414c0.805,0.805 1.609,1.61 2.414,2.414 0.389,0.389 1.025,0.389 1.414,0z'/> </svg>");
    }

}
